
TYPO3.Neos - Task # 46251

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Aske Ertmann Category:
Created: 2013-03-13 Assigned To: Frans Saris
Updated: 2014-11-02 Due date:
Subject: Date picker breaks after switching month
Description

When using the jQuery UI datepicker in the inspector and navigating to another month it breaks.

The error is probably related to our RequireJS inclusion of jQuery UI

Either switch to Twitter Bootstrap date picker or fix the issue

Related issues:
related to TYPO3.Neos - Task # 49859: Date editor Resolved 2013-07-10
duplicated by TYPO3.Neos - Task # 46252: Date picker breaks after switching m... Closed 2013-03-13

Associated revisions
Revision 663572c4 - 2013-09-29 20:52 - Frans Saris

[FEATURE] Implement date time editor

The current jQuery UI datepicker is replaced by a more
lightweight version with time picking support.
The datetimepicker uses a 'shadow field' so internal
storage of the date is done in an internal format
(US for now), and displaying is done in a format
which could be user specific.

Change-Id: Ib2a969cf679a5a0cf32f70f2710502b1d331b356
Resolves: #49859
Fixes: #46251
Reviewed-on: https://review.typo3.org/22043
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-03-14 11:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18899

This is completely unrelated…

#2 - 2013-05-16 12:30 - Sebastian Hens
- Status changed from New to Accepted

2015-08-04 1/4

https://review.typo3.org/22043
https://review.typo3.org/18899


- Assigned To set to Sebastian Hens

#3 - 2013-05-16 23:59 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20853

#4 - 2013-05-17 11:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20853

#5 - 2013-05-17 18:14 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#6 - 2013-07-03 17:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20853

#7 - 2013-07-07 00:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#8 - 2013-07-07 14:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#9 - 2013-07-08 20:48 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#10 - 2013-07-09 20:41 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#11 - 2013-07-11 21:31 - Aske Ertmann
- Target version set to 1.0 beta 1

#12 - 2013-07-16 23:26 - Aske Ertmann
- Assigned To changed from Sebastian Hens to Frans Saris
- Target version changed from 1.0 beta 1 to 1.0 alpha 6
#13 - 2013-08-08 23:14 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#14 - 2013-08-08 23:22 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#15 - 2013-08-22 13:39 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#16 - 2013-08-22 13:41 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#17 - 2013-08-25 23:19 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#18 - 2013-08-29 16:48 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#19 - 2013-08-29 22:10 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#20 - 2013-09-23 21:30 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#21 - 2013-09-24 21:00 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043
#22 - 2013-09-24 21:27 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#23 - 2013-09-26 19:32 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#24 - 2013-09-27 11:17 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#25 - 2013-09-28 19:00 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#26 - 2013-09-28 19:31 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#27 - 2013-09-29 20:31 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#28 - 2013-09-29 20:48 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22043

#29 - 2013-09-29 21:35 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:663572c4ae799b50c36055411098e7eecce679ba.

#30 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
